### Method

# Gio Credentials get_native

since: 2.26

#### Declaration

    gpointer
    g_credentials_get_native (
      GCredentials* credentials,
      GCredentialsType native_type
    )

#### Description

Gets a pointer to native credentials of type `native_type` from `credentials`.

It is a programming error (which will cause a warning to be logged) to use this method if there is no `GCredentials` support for the OS or if `native_type` isn’t supported by the OS.

Available since: 2.26

This method is not directly available to language bindings.

#### Parameters

`native_type`

  Type: `GCredentialsType`

  The type of native credentials to get.

#### Return value

Type: `gpointer`

The pointer to native credentials or `NULL` if there is no `GCredentials` support for the OS or if `native_type` isn’t supported by the OS. Do not free the returned data, it is owned by `credentials`.

The data is owned by the instance.
The return value can be `NULL`.